---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  Read Dialog 
--  Description : variables and routines for reading from keyboard
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Widget.Button;
with Pencil_And_Paper_Computer;
package Read_Dialog is
   Value      : Pencil_And_Paper_Computer.Memory_Value;
   -- this is a pointer to a procedure that will be called when the
   -- Ok has a valid value.  Must be set before the window is generated
   Post_Process : Pencil_And_Paper_Computer.Post_Read_Callback_Type;
   -- call this whenever the window is generated (after)
   procedure Initialize;
   procedure Ok(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
end Read_Dialog;
